import request from '@/utils/request'

// 查询列表
export function list(params) {
    return request({
        url: '/system/topic/list',
        method: 'get',
        params
    })
}

// 查询详细
export function info(topicId) {
    return request({
      url: '/system/topic/' + topicId,
      method: 'get'
    })
  }

// 新增更新
export function add(data) {
    return request({
        url: '/system/topic',
        method: 'post',
        data
    })
}

// 删除
export function del(ids) {
    return request({
        url: '/system/topic/' + ids,
        method: 'delete'
    })
}

// 下拉
export function select() {
    return request({
        url: '/system/topic/select',
        method: 'get',
    })
}